﻿<Window x:Class="RealmlistSelector.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        Title="MainWindow" Height="205" Width="515">
    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="Auto"/>
            <ColumnDefinition Width="Auto"/>
        </Grid.ColumnDefinitions>
        <StackPanel Grid.Column="0">
            <ListBox Width="300" ItemsSource="{Binding Path=Realms}" SelectedItem="{Binding Path=SelectedRealm}" MinHeight="150"></ListBox>
            <StackPanel Orientation="Horizontal">
                <Button Content="Use Selected Realm" Command="{Binding Path=ApplyCommand}"></Button>
                <Button Content="Delete Selected Realm" Command="{Binding Path=RemoveCommand}" HorizontalAlignment="Right"></Button>
            </StackPanel>
        </StackPanel>
        
        <StackPanel Grid.Column="1" Width="auto">
            <Label>Current Realm:</Label>
            <Label Content="{Binding Path=CurrentRealm}"/>
            <Label Padding="5,10,0,0">Add New Realm:</Label>
            <TextBox Text="{Binding Path=NewRealm}" Width="200"></TextBox>
            <Button Content="Add" Command="{Binding Path=AddCommand}"></Button>
        </StackPanel>
    </Grid>
</Window>
